How to Read and Modify Block Attributes in AutoLISP (AutoCAD)

แชร์
ฝัง
  • เผยแพร่เมื่อ 2 ก.พ. 2025

ความคิดเห็น • 19

  • @AutoCAD_Troubleshooting
    @AutoCAD_Troubleshooting 3 หลายเดือนก่อน

    thank you for your information please share more video about vlax and vla function in autolisp

    • @cyberCADsolutions
      @cyberCADsolutions  3 หลายเดือนก่อน

      Surely. Thank you. Please subscribe and share.

  • @cyberCADsolutions
    @cyberCADsolutions  5 หลายเดือนก่อน +1

    vlax-invoke getattributes
    vla-get-tagstring
    vla-get-textstring
    vla-put-textstring
    (setq blk(car (entsel "
    Select block object:")))
    (setq attLst(vlax-invoke (vlax-ename->vla-object blk) 'getattributes))
    (foreach att attLst
    (setq tag(vla-get-tagstring att)
    val(vla-get-textstring att)
    )
    (princ (strcat "
    " tag "=" val))
    (princ)
    );for
    ;change height value to 15m
    (foreach att attLst
    (setq tag(vla-get-tagstring att)
    val(vla-get-textstring att)
    )
    (if (= (strcase tag) "HEIGHT")
    (vla-put-textstring att "20")
    );if
    );for

  • @ksjrb73
    @ksjrb73 5 หลายเดือนก่อน +1

    Hello sir how to change all the properties of entities inside block and nested blocks? Please make a tutorial on this.

  • @cadworkchennai1496
    @cadworkchennai1496 5 หลายเดือนก่อน

    Thanks for the information.

  • @cadworkchennai1496
    @cadworkchennai1496 5 หลายเดือนก่อน

    Dear sir,
    Can we done this task by using normal lisp program instead of vlax program?

  • @ksjrb73
    @ksjrb73 5 หลายเดือนก่อน

    Thank you for your video. Would you please upload all activex functions in visual lisp?

  • @syamkumar6620
    @syamkumar6620 5 หลายเดือนก่อน +1

    please make a video on debugging and other tools in Visual Code for AutoLISP

  • @ksjrb73
    @ksjrb73 5 หลายเดือนก่อน

    How to get the value from a selected text and put that value in to the attribute?

    • @cyberCADsolutions
      @cyberCADsolutions  5 หลายเดือนก่อน

      Read the text content and update attribute using vla-put_textstring.

  • @musicalworld8153
    @musicalworld8153 หลายเดือนก่อน

    Can we create an attribute in lisp

  • @rajudasari6457
    @rajudasari6457 5 หลายเดือนก่อน

    Good sir. Little bit advanced

  • @enriqueflores5778
    @enriqueflores5778 5 หลายเดือนก่อน

    Thanks for the information.

    • @cyberCADsolutions
      @cyberCADsolutions  5 หลายเดือนก่อน

      Our pleasure!. Please subscribe and share

  • @yijianzeng5017
    @yijianzeng5017 5 หลายเดือนก่อน

    Thanks for the information.

    • @cyberCADsolutions
      @cyberCADsolutions  5 หลายเดือนก่อน

      Thank you. Please subscribe and share.